{
  "openapi": "3.1.0",
  "info": {
    "version": "3.0",
    "title": "MeasureOne API",
    "termsOfService": "https://www.measureone.com/terms-of-service",
    "description": "\nThe MeasureOne API enables secure, consumer-permissioned data integration into your applications and workflows. Our platform facilitates the entire data-sharing process, from consent management to data delivery, while maintaining the highest standards of privacy and security.\n\n\n\\\nAt its core, our API streamlines the complex process of permissioned data sharing. When users grant consent to share their information, they either **upload their documents** or **provide credentials**  through the MeasureOne LINK widget to access their data sources. Our platform then securely connects to these sources, acquires the authorized data, and delivers it through standardized APIs. This process ensures both data integrity and user privacy, with built-in safeguards that enforce consent boundaries and prevent unauthorized access.\n\n\\\nThe platform offers comprehensive features including secure consent management, safe credential handling, automated data acquisition, and standardized delivery - all while guaranteeing data authenticity and tamper-proof delivery. By abstracting these complex workflows into straightforward APIs, we enable you to focus on your application while we handle the intricacies of secure data access and privacy compliance.\n",
    "contact": {
      "email": "support@measureone.com"
    },
    "x-logo": {
      "url": "https://www.measureone.com/hubfs/assets/images/logos/measure-one-logo-on-light@2x.png",
      "backgroundColor": "rgba(0,0,0,0)",
      "altText": "MeasureOne logo"
    }
  },
  "tags": [
    {
      "name": "API Keys and Access",
      "description": "MeasureOne authenticates your API requests using access tokens. If you do not include the `access_token` when making a request, MeasureOne returns an authentication error. \n\nTo gain access to the MeasureOne API, reach out to us on sales@measureone.com. Once you’ve completed the signup process, we’ll provide a live `client_id` & `secret` for use in our API.\n\nYou can access our APIs using Access Tokens Or Public Tokens. The Public Tokens are short lived with limited scope while Access Tokens are long lived. \n\nYou can access our purge APIs using Purge Tokens. \n\n## Access Tokens\nAccess Tokens are long-lived tokens that give you access to the MeasureOne infrastructure for your account. \n\n**Access tokens should be used only from your own server side applications.**\n\n## Purge Tokens\nPurge Tokens are long-lived credentials intended solely for accessing Compliance APIs. They cannot be used with any other API endpoints. A purge token is valid for a single use only and becomes invalid immediately after it has been used.\n\n**Purge Tokens should be used only from your own server side applications.**\n\n\n## Public Tokens\n\nPublic tokens are short-lived tokens with defined `scope` and `policy`. \nThe scope indicates the resources and endpoints you can access using these tokens while policy indicates the data you can access using the APIs.\n\nMeasureOne APIs will return a 401 error if the public token is used for scope or policy that is different from the token's scope and policy.\n\n**For example**, if you create a public token for policy having **individual_id** `idv_293241AAjy2EZt3R` and if you try to invoke /individuals/get_by_id for another individual, it will return a 401 error.\n\nThe table below defines the currently supported scope.\n\n|API Endpoint|WIDGET|GLOBAL|ENTERPRISE_WIDGET\n|--- |--- |--- |--- |\n|/individuals/new|YES|YES|YES\n|/individuals/get_by_id  |YES|YES|YES\n|/individuals/get_items|YES|YES|NO\n|/individuals/delete|NO|YES|YES\n|/datarequests/new|YES|YES|YES\n|/datarequests/update|YES|YES|YES\n|/datarequests/get|YES|YES|YES\n|/datarequests/get_by_id|YES|YES|YES\n|/datarequests/generate_invitation_link|YES|YES|YES\n|/datarequests/notify_user|YES|YES|YES\n|/datarequests/get_invitation_link|YES|YES|YES\n|/datarequests/expire_invitation_link|YES|YES|NO\n|/datarequests/refresh_now|YES|YES|NO\n|/datarequests/enable_refresh|YES|YES|NO\n|/datarequests/disable_refresh|YES|YES|NO\n|/datasources/get|YES|YES|YES\n|/items/new|YES|YES|YES\n|/items/upload|YES|YES|YES\n|/items/get_by_id|YES|YES|YES\n|/items/get_files|YES|YES|NO\n|/items/get_pdf|YES|YES|NO\n|/services/get_academic_summary|NO|YES|YES\n|/services/get_enrollment_status|NO|YES|YES\n|/services/gradscore|NO|YES|NO\n|/services/meritscore|NO|YES|NO\n|/services/get_digest_by_id|NO|YES|NO\n|/services/get_employment_summary|NO|YES|YES\n|/services/get_income_summary|NO|YES|YES\n|/services/get_income_employment_details|NO|YES|YES\n|/services/get_insurance_details|NO|YES|YES\n|/services/get_realized_gains|NO|YES|YES\n"
    },
    {
      "name": "Versioning",
      "description": "The current major version of the MeasureOne API is 3.0, and is passed in the API path as a `/v3` prefix.   The current 3.0 API version is `20210117` and is passed as a request header while calling the API. If no version number is specified in the request header, the API will default to the version that was live when you first signed up for MeasureOne API keys. \n\nWe periodically release changes to our APIs. While we try to remain backward compatible, changes in our API may result in changes to the data or schema structures exposed in the current version.\n"
    },
    {
      "name": "API Host and Protocols",
      "description": "#### API protocols & headers \n\nUnless specified otherwise, the MeasureOne API uses POST requests to communicate and HTTP [response codes](#status-codes) to indicate status and errors. Unless explicitly specified, all responses come in standard JSON, and all requests must include a Content-Type of `application/json` with a valid JSON body.\n\n|Header Parameters|Values|\n|--- |--- |\n|Authorization|bearer <YOUR_API_KEY>|\n|Content-Type|application/json|\n|version|\n\n\n\n#### Environments \nMeasureOne provides two API environments:\n\n|Environment|URL|\n|--- |--- |\n|Staging|https://api-stg.measureone.com/v3/|\n|Production|https://api.measureone.com/v3/|   "
    },
    {
      "name": "Status Codes",
      "description": "#### 2xx Success\n\nA 2xx status code indicates the request was received and processed successfully.\n\n|Status code|Description|\n|--- |--- |\n|200|OK - The request is successful|\n|201|ACCEPTED - The request is successful and has been accepted for further processing. You will receive a    notification once the request has completed.|\n\n#### 4xx Client Errors\n\nA 4xx status code indicates that the request failed due to a client error. The response body generally includes more details about the failure.\n\n|Status code|Description|\n|--- |--- |\n|400|**Bad Request** - The request failed. This will usually occur when validations fail. E.g Missing required fields or invalid JSON|\n\n#### 5xx Server Errors\n\nA 5xx status codes is returned if something goes wrong on MeasureOne's end\n\n|Status code|Description|\n|--- |--- |\n|500|Internal Server Error - Something has gone wrong on MeasureOne's end while attempting to process the request. Our engineering team has been notified of the issue.|\n"
    },
    {
      "name": "Endpoints",
      "description": "\nThis section gives you the list of all endpoints exposed by MeasureOne to integrate into your application workflow. For complete details, please see the full documentation. Unless specified otherwise, all the endpoints require `access_token` in the header for authorization. \n\n|Resource|Endpoint|Description|\n|--- |--- |--- |\n|Authentication|/auth/generate_access_token|Generates an access token|\n|Authentication|/auth/generate_purge_token|Generates a purge token|\n|Authentication|/auth/invalidate|Invalidates an access token|\n|Authentication|/auth/generate_public_token|Generates a public token|\n|Individuals|/individuals/new|Create a new individual|\n|Individuals|/individuals/get_by_id|Get details of an Individual|        \n|Individuals|/individuals/get_items|Get list of items created for an Individual|\n|Individuals|/individuals/delete|Delete an Individual|\n|Data Requests|/datarequests/new|Create a new Data Request\n|Data Requests|/datarequests/update|Update Data Request\n|Data Requests|/datarequests/get|Get or search Data Requests\n|Data Requests|/datarequests/get_by_id|Get details of a Data Request\n|Data Requests|/datarequests/generate_invitation_link|Generate an invitation link for Data Request\n|Data Requests|/datarequests/notify_user|Send invitation to the user to complete the Data Request\n|Data Requests|/datarequests/get_invitation_link|Get details of an invitation link generated for the Data Request \n|Data Requests|/datarequests/expire_invitation_link|Expire the invitation link for Data Request\n|Data Requests|/datarequests/refresh_now|Refresh data on demand for Data Requests\n|Data Requests|/datarequests/enable_refresh|Enable data refresh for Data Requests\n|Data Requests|/datarequests/disable_refresh|Disable data refresh for Data Requests\n|Data Sources|/datasources/get| Get or search Data Sources\n|Items|/items/new|Create a new item|\n|Items|/items/upload|Upload item document|\n|Items|/items/get_by_id|Upload item document|\n|Items|/items/get_files|Download the items uploaded via `/items/upload` API|\n|Items|/items/get_pdf|Download the items as PDF document|\n|Compliance|/compliance/purge_individual|Purge an Individual|\n|Services|/services/get_academic_summary|Get the academic summary for an Individual|\n|Services|/services/get_enrollment_status|Get the enrollment status for an Individual|\n|Services|/services/gradscore|Get the Gradscore for a transcript|\n|Services|/services/meritscore|Get the MeritScore for a transcript|\n|Services|/services/get_digest_by_id|Get the Digest for a transcript|\n|Services|/services/get_employment_summary|Get the employment summary for an Individual|\n|Services|/services/get_income_summary|Get the income summary for an Individual|\n|Services|/services/get_income_employment_details|Get the income employment details (VOIE) for an Individual|\n|Services|/services/get_insurance_details|Get the insurance details for an Individual|\n|Services|/services/get_realized_gains|Get the realized gains for a brokerage account|\n"
    },
    {
      "name": "AsynchronousCommunication",
      "x-displayName": "Asynchronous Communication",
      "description": "Many of MeasureOne APIs are asynchronous in nature. Client applications integrating MeasureOne API are required to expose endpoints for MeasureOne to send the [Webhook Notifications](#tag/webhooks).\nThe diagram below depicts how the asynchronous communication will work.  APIs having Asynchronous communication may also send a synchronous response if the response is readily available.\n\n![AsynchronousProcessing](/images/asynch_processing.png)\n\nThe table below depicts the APIs that require clients to provision endpoints for asynchronous communication.\n\n|Resource|Endpoint|Asynchronous|\n|--- |--- |--- |\n|Authentication|/auth/generate_access_token|No|\n|Authentication|/auth/generate_purge_token|No|\n|Authentication|/auth/invalidate|No|\n|Authentication|/auth/generate_public_token|No|\n|Individuals|/individuals/new|No|\n|Individuals|/individuals/get_by_id|No|\n|Individuals|/individuals/get_items|No|\n|Individuals|/individuals/delete|No|\n|Data Requests|/datarequests/new|No|\n|Data Requests|/datarequests/update|No|\n|Data Requests|/datarequests/get|No|\n|Data Requests|/datarequests/get_by_id|No|\n|Data Requests|/datarequests/generate_invitation_link|No|\n|Data Requests|/datarequests/notify_user|No|\n|Data Requests|/datarequests/get_invitation_link|No|\n|Data Requests|/datarequests/expire_invitation_link|No|\n|Data Requests|/datarequests/refresh_now|No|\n|Data Requests|/datarequests/enable_refresh|No|\n|Data Requests|/datarequests/disable_refresh|No|\n|Data Sources|/datasources/get|No|\n|Items|/items/new|No|\n|Items|/items/upload|No|\n|Items|/items/get_by_id|Yes|\n|Items|/items/get_files|No|\n|Items|/items/get_pdf|No|\n|Compliance|/compliance/purge_individual|Yes|\n|Services|/services/get_academic_summary|Yes|\n|Services|/services/get_enrollment_status|Yes|\n|Services|/services/gradscore|Yes|\n|Services|/services/meritscore|Yes|\n|Services|/services/get_digest_by_id|Yes|\n|Services|/services/get_employment_summary|Yes|\n|Services|/services/get_income_summary|Yes|\n|Services|/services/get_income_employment_details|Yes|\n|Services|/services/get_insurance_details|Yes|\n|Services|/services/get_realized_gains|Yes|\n"
    },
    {
      "name": "CheckSignalsIntroduction",
      "x-displayName": "Check Signals",
      "description": "Data integrity is of primary importance to MeasureOne and we employ many techniques to ensure it. Check signals are signals raised by a collection of checks that are applied to the information that flows through the MeasureOne platform. Check signals provide information that helps you detect potential anomalies in the data processing workflow that may indicate fraudulent information or activity in the workflow.\n\nCheck signals checks are performed throughout the workflow with specific focus on Items, Connections & Services. The check signal checks can be broadly grouped into the following categories.   \n   - **Connections**: Detect anomalies related to account connections.  \n   - **Document Metadata**: Identify inconsistencies in document metadata.  \n   - **Visual**: Flag formatting and visual discrepancies in documents.  \n   - **Data**: Highlight inconsistencies in data.  \n\nWe are continuously monitoring and updating the collection of checks to ensure the highest level of data integrity through our platform.\n\nThe following is a list of all currently supported check signals raised, along with the conditions that cause them to be raised:\n       \n         \n \n ###### **Document Metadata Signals**\n | Signal Name           | Condition  | Comments|\n |----------------------|-------------|-------------------|\n | METADATA_MISMATCH  | Identifies anomalies in document metadata by comparing it against expected standards, detecting discrepancies or irregularities | Structured PDFs only |\n\n ###### **Visual Signals**\n | Signal Name          | Condition  | Comments|\n |---------------------|-------------|---------------|\n | FONT_MISMATCH     | Discrepancies in font usage, indicating possible text alterations | Structured PDFs only |       \n\n ###### **Data Signals**\n | Signal Name                           | Condition  | Comments|\n |-------------------------------------|-------------|----------------|\n | EMPLOYEE_ID_MISMATCH              | Inconsistencies in Employee ID extracted from documents data.|  |  \n | NAME_MISMATCH                     | Inconsistencies in name extracted from documents data. |  | \n | SSN_MISMATCH                      | Inconsistencies in SSN extracted from documents data.|  |       \n | GROSS_PAY_CALC_MISMATCH           | Discrepancies in gross pay calculations |  |\n | NET_PAY_GREATER_THAN_GROSS        | When the net pay greater than gross pay, indicating a possible error or manipulation | |\n | W2_SOCIAL_SECURITY_WAGE_OVERLIMIT | When the reported Social Security wages exceeds the legal limit | |\n | W2_INVALID_SOCIAL_SECURITY_TAX_WITHHELD | When Social Security tax withholding amounts is incorrect | |\n | W2_INVALID_MEDICARE_TAX_WITHHELD     | When Medicare tax withholding amount is incorrect | |\n | W2_WAGES_GREATER_THAN_MEDICARE_WAGES     | When the reported wages exceeds the Medicare wages, indicating a possible error or manipulation | |\n\nTo enable check signals for your account, reach out to us at support@measureone.com.\n"
    },
    {
      "name": "Widget",
      "x-displayName": "Widget",
      "description": "Integration of the **MeasureOne LINK widget** is done with a small JavaScript bundle and the **`<m1-link>`** custom element. You pass a JSON **configuration** object on the element’s **`config`** attribute and subscribe to **DOM events** the widget raises as the consumer moves through verification, institution selection, credentials, uploads, and consent.\n\n\n  | Environment | LINK widget bundle |\n  | ----------- | ------------------ |\n  | Production  | `https://api.measureone.com/v3/js/m1-link-2021042000.js` |\n  | Staging     | `https://api-stg.measureone.com/v3/js/m1-link-2021042000.js` |\n  | Demo        | `https://api-demo.measureone.com/v3/js/m1-link-2021042000.js` |\n  | Epic-base   | `https://api-epic-name.measureone.com/v3/js/m1-link-2021042000.js` |\n\n  The sample below mirrors the standalone HTML reference: load the script, place **`<m1-link></m1-link>`**, stringify **`config`**, assign it with **`setAttribute('config', …)`**, and attach **`addEventListener`** handlers for the events your product cares about.\n\n  </br>\n\n  ##### Integrating MeasureOne LINK Widget\n\n  ```html\n  <html lang=\"en\">\n  <head>\n    <meta charset=\"UTF-8\">\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n    <title>Standalone Widget</title>\n    <script src=\"https://api-stg.measureone.com/v3/js/m1-link-2021042000.js\"></script>\n  </head>\n  <body>\n    <m1-link></m1-link>\n    <script>\n      var config = {\n        host_name: \"api-stg.measureone.com\",\n        access_key: \"\",\n        datarequest_id: \"\",\n        enable_manual_upload: true,\n        data: {},\n        options: {\n          display_profile: true,\n          show_assist_mode: true,\n          allow_close_widget: false,\n          reconnect: false,\n          countries: [\"GB\", \"US\", \"CA\"],\n          is_static_link: true,\n          skip_consent_screen: true,\n          load_connect_method: true\n        },\n        branding: {\n          styles: {\n            primary_dark: \"#1077B5\",\n            primary_light: \"#2E9CCB\",\n            font_family_url: \"https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap\",\n            font_family: \"Open Sans,sans-serif\",\n            light_text: \"#ffffff\",\n            dark_text: \"#141414\",\n            light_background: \"#ffffff\",\n            dark_background: \"#094670\",\n            focus_light: \"#0f5966\",\n            focus_dark: \"#41d0ea\",\n            isDark: false\n          },\n          logo_url: \"https://cdn2.hubspot.net/hubfs/6171800/assets/images/logos/measure-one-logo-on-light@2x.png\"\n        }\n      };\n\n      const m1_widget = document.querySelector(\"m1-link\");\n      m1_widget.setAttribute(\"config\", JSON.stringify(config));\n\n      m1_widget.addEventListener(\"itemsCreated\", (event) => {\n        console.log(event);\n      });\n      m1_widget.addEventListener(\"tokenExpired\", (event) => {\n        console.log(event);\n      });\n    </script>\n  </body>\n  </html>\n  ```\n\n  </br>\n\n  #### Configuration\n\n  The **`config`** attribute is a JSON string describing host, credentials, which invitation or Data Request is being opened, optional **`data`** context, UI **`options`**, and **`branding`**. the schema below summarizes the fields most integrations set first.\n\n  **Routing rules:**\n\n  - Supply either **`link_id`** **or** **`datarequest_id`** for the active flow—not both—or the widget reports a configuration error.\n  - Certain **`data`** fields (for example **`individual_id`**) apply only when **`datarequest_id`** is **not** set; mixing incompatible combinations triggers the same class of config error.\n  - **`enable_manual_upload`** and the **`data`** object apply only when **`datarequest_id`** is **not** set. Do not pass **`data.individual_id`** together with **`datarequest_id`**.\n  - Do not pass both **`data.datasource`** and **`data.datasource_id`** at the same time.\n\n  {% json-schema\n        schema={\n            \"title\": \"LINK Widget Configuration\",\n            \"type\": \"object\",\n            \"required\": [\"host_name\"],\n            \"properties\": {\n              \"access_key\": {\n                \"type\": \"string\",\n                \"description\": \"public access key.\"\n              },\n              \"host_name\": {\n                \"type\": \"string\",\n                \"description\": \"API hostname (`api-stg.measureone.com` for staging, `api.measureone.com` for production).\"\n              },\n              \"link_id\": {\n                \"type\": \"string\",\n                \"description\": \"Can only pass `link_id` or `datarequest_id` at a time.\\n\\nSupported experience types for which the widget can create a Data Request internally:\\n- EDUCATION\\n- EMPLOYMENT\\n- INCOME_EMPLOYMENT\\n- INCOME\\n- AUTO_INSURANCE\\n- HOME_INSURANCE\\n- REALIZED_GAINS\\n- NURSING_CREDENTIALS\\n- ENROLLMENT_STATUS\\n- RENTERS_INSURANCE\\n\\nUnsupported experience types (widget returns a 'Datarequest ID required' error):\\n- ADD_VEHICLE\\n- AUTO_HOME_INSURANCE\\n- TAX_DOCUMENTS_EMPLOYMENT\\n- TAX_DOCUMENTS_FINANCIAL_INSTITUTION\"\n              },\n              \"datarequest_id\": {\n                \"type\": \"string\",\n                \"description\": \"Existing Data Request id when resuming or embedding LINK for a known request. Mutually exclusive with `link_id`.\\n\\nSupported types:\\n- ACADEMIC_SUMMARY\\n- EMPLOYMENT_SUMMARY\\n- INCOME_EMPLOYMENT_DETAILS\\n- INCOME_SUMMARY\\n- AUTO_INSURANCE_DETAILS\\n- HOME_INSURANCE_DETAILS\\n- REALIZED_GAINS\\n- NURSING_CREDENTIALS\\n- ENROLLMENT_STATUS\\n- RENTERS_INSURANCE_DETAILS\\n- ADD_VEHICLE\\n- AUTO_HOME_INSURANCE\\n- CUSTOM\"\n              },\n              \"enable_manual_upload\": {\n                \"type\": \"boolean\",\n                \"description\": \"Allows manual upload path when no `datarequest_id` is supplied.\",\n                \"default\": false\n              },\n              \"data\": {\n                \"type\": \"object\",\n                \"description\": \"Extra context used when starting a new link flow without `datarequest_id`. Ignored when `datarequest_id` is set.\",\n                \"properties\": {\n                  \"individual_id\": {\n                    \"type\": \"string\",\n                    \"description\": \"Existing Individual to use. Only allowed when `datarequest_id` is not set.\",\n                    \"example\": \"idv_2s1Bx4XSDX7aDZpTuyXPMy91c71\"\n                  },\n                  \"datasource\": {\n                    \"type\": \"object\",\n                    \"description\": \"Pre-selected institution or provider to open in the widget. Do not use together with `datasource_id`.\",\n                    \"properties\": {\n                      \"id\": {\n                        \"type\": \"string\",\n                        \"description\": \"MeasureOne datasource id to start with.\"\n                      },\n                      \"display_name\": {\n                        \"type\": \"string\",\n                        \"description\": \"Label shown for the pre-selected datasource.\"\n                      },\n                      \"enable_override\": {\n                        \"type\": \"boolean\",\n                        \"description\": \"Whether the user can change the pre-selected datasource.\",\n                        \"default\": false\n                      }\n                    }\n                  },\n                  \"datasource_id\": {\n                    \"type\": \"string\",\n                    \"description\": \"Datasource id to pre-select (for example a school). Do not use together with `datasource`.\",\n                    \"example\": \"sch_CV8e5NzZXwXhNp3TGnpryEmub2E\"\n                  },\n                  \"student_type\": {\n                    \"type\": \"string\",\n                    \"description\": \"Student category used to narrow academic datasource search (for example `ALUMNI`).\",\n                    \"example\": \"ALUMNI\"\n                  },\n                  \"employment_status\": {\n                    \"type\": \"string\",\n                    \"description\": \"Employment status used to narrow payroll or employer datasource search (for example `CURRENT`).\",\n                    \"example\": \"CURRENT\"\n                  },\n                  \"employment_type\": {\n                    \"type\": \"string\",\n                    \"description\": \"Type of employment used in datasource matching (for example `EMPLOYEE` or `GIG_WORKER`).\",\n                    \"example\": \"EMPLOYEE\"\n                  },\n                  \"tax_year\": {\n                    \"type\": \"string\",\n                    \"description\": \"Tax year for tax or realized-gains style flows.\",\n                    \"example\": \"2019\"\n                  },\n                  \"invitation\": {\n                    \"type\": \"object\",\n                    \"description\": \"Invitation details shown in the widget (static link or hosted portal).\",\n                    \"properties\": {\n                      \"id\": {\n                        \"type\": \"string\",\n                        \"description\": \"Invitation or referral id.\"\n                      },\n                      \"hosted_portal_url\": {\n                        \"type\": \"string\",\n                        \"description\": \"URL the consumer used to open the hosted portal link.\"\n                      },\n                      \"expires_at\": {\n                        \"type\": \"string\",\n                        \"description\": \"When the invitation expires, for display in the UI.\"\n                      }\n                    }\n                  },\n                  \"customer_name\": {\n                    \"type\": \"string\",\n                    \"description\": \"Requester or customer name shown in widget copy.\",\n                    \"example\": \"M1\"\n                  }\n                }\n              },\n              \"options\": {\n                \"type\": \"object\",\n                \"properties\": {\n                  \"display_profile\": {\n                    \"type\": \"boolean\",\n                    \"description\": \"Show profile/individual screen.\"\n                  },\n                  \"show_assist_mode\": {\n                    \"type\": \"boolean\",\n                    \"description\": \"Show \\\"Try another way\\\" footer option.\"\n                  },\n                  \"allow_close_widget\": {\n                    \"type\": \"boolean\",\n                    \"description\": \"Allow user to close the widget.\"\n                  },\n                  \"reconnect\": {\n                    \"type\": \"boolean\",\n                    \"description\": \"Enable reconnect flow with welcome back screen.\"\n                  },\n                  \"countries\": {\n                    \"type\": \"array\",\n                    \"description\": \"Available countries for selection.\",\n                    \"items\": { \"type\": \"string\" }\n                  },\n                  \"is_static_link\": {\n                    \"type\": \"boolean\",\n                    \"description\": \"Static link mode, passed from hosted portal.\"\n                  },\n                  \"skip_consent_screen\": {\n                    \"type\": \"boolean\",\n                    \"description\": \"Use to skip consent screen if consent is already accepted for a datarequest.\"\n                  },\n                  \"load_connect_method\": {\n                    \"type\": \"boolean\",\n                    \"description\": \"Passed from hosted portal to directly load connect method screen from Plaid Try Another Way button.\"\n                  }\n                }\n              },\n              \"branding\": {\n                \"type\": \"object\",\n                \"description\": \"Branding and theme: optional `logo_url` plus a `styles` object for colors, fonts, and light/dark theme.\",\n                \"properties\": {\n                  \"logo_url\": {\n                    \"type\": \"string\",\n                    \"description\": \"URL of the logo image shown in the widget header.\",\n                    \"example\": \"https://www.measureone.com/hubfs/assets/images/logos/measure-one-logo-on-light@2x.png\"\n                  },\n                  \"styles\": {\n                    \"type\": \"object\",\n                    \"description\": \"Theme tokens.\",\n                    \"properties\": {\n                      \"primary_dark\": {\n                        \"type\": \"string\",\n                        \"description\": \"Primary button background, links, secondary button text and loading bar, border color of input box on focus in light theme.\",\n                        \"example\": \"#1077B5\"\n                      },\n                      \"primary_light\": {\n                        \"type\": \"string\",\n                        \"description\": \"Primary button background, links, secondary button text and loading bar, border color of input box on focus in dark theme.\",\n                        \"example\": \"#2E9CCB\"\n                      },\n                      \"font_family_url\": {\n                        \"type\": \"string\",\n                        \"description\": \"URL of font-family that widget should load from url.\",\n                        \"example\": \"https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap\"\n                      },\n                      \"font_family\": {\n                        \"type\": \"string\",\n                        \"description\": \"Font family that should be used in widget.\",\n                        \"example\": \"Open Sans,sans-serif\"\n                      },\n                      \"light_text\": {\n                        \"type\": \"string\",\n                        \"description\": \"Primary button text and spinner color in light theme. Title, label, input box text and mat-icons color in dark theme.\",\n                        \"example\": \"#ffffff\"\n                      },\n                      \"dark_text\": {\n                        \"type\": \"string\",\n                        \"description\": \"Title, label, input box text and mat-icons color in light theme. Primary button text and spinner color in dark theme.\",\n                        \"example\": \"#141414\"\n                      },\n                      \"light_background\": {\n                        \"type\": \"string\",\n                        \"description\": \"Widget background color in light theme.\",\n                        \"example\": \"#ffffff\"\n                      },\n                      \"dark_background\": {\n                        \"type\": \"string\",\n                        \"description\": \"Widget background color in dark theme.\",\n                        \"example\": \"#094670\"\n                      },\n                      \"focus_light\": {\n                        \"type\": \"string\",\n                        \"description\": \"WCAG keyboard tab focus color in light theme.\",\n                        \"example\": \"#0f5966\"\n                      },\n                      \"focus_dark\": {\n                        \"type\": \"string\",\n                        \"description\": \"WCAG keyboard tab focus color in dark theme.\",\n                        \"example\": \"#41d0ea\"\n                      },\n                      \"isDark\": {\n                        \"type\": \"boolean\",\n                        \"description\": \"When true, the widget initializes in dark theme; when false, light theme.\",\n                        \"default\": false,\n                        \"example\": false\n                      },\n                      \"error_light\": {\n                        \"type\": \"string\",\n                        \"description\": \"Widget error color in dark theme.\",\n                        \"example\": \"#FC9494\"\n                      },\n                      \"error_dark\": {\n                        \"type\": \"string\",\n                        \"description\": \"Widget error color in light theme.\",\n                        \"example\": \"#D32F2F\"\n                      }\n                    }\n                  }\n                }\n              }\n            }\n          }\n       /%}\n\n  #### Events\n\n  Subscribe with **`element.addEventListener('<eventName>', handler)`**. Handlers receive a DOM **`CustomEvent`**.\n\n  The JSON blocks below show the shape of **`event.detail`** (a **`WidgetEvent`**): at minimum a **`name`** string.\n\n  ##### `individualCreated`\n\n  Emitted when a new Individual is created in-widget.\n\n  ```json\n  {\n    \"name\": \"individualCreated\",\n    \"data\": {\n      \"individual_id\": \"idv_1gNIu83UT3IwCYcQ6SbtKJAuUWp\"\n    }\n  }\n  ```\n\n  ##### `individualUpdated`\n\n  Emitted when an existing Individual is synchronized from the widget.\n\n  ```json\n  {\n    \"name\": \"individualUpdated\",\n    \"data\": { \n      \"individual_id\": \"idv_1gNIu83UT3IwCYcQ6SbtKJAuUWp\",\n      \"datarequest_id\": \"dr_1gNIu83UT3IwCYcQ6SbtKJ3243Wp\"\n      }\n  }\n  ```\n\n  ##### `tokenExpired`\n\n  Triggered when the access_key expires at any stage in the widget.\n\n  ```json\n    {\n      \"name\": \"tokenExpired\",\n      \"data\": { \n        \"individual_id\": \"idv_1gNIu83UT3IwCYcQ6SbtKJAuUWp\", \n        \"datarequest_id\": \"dr_1gNIu83UT3IwCYcQ6SbtKJ3243Wp\" \n      },\n      \"error_description\": \"Your session has expired, please refresh the page.\"\n    }\n  ```\n\n  ##### `datasourceNotSupported`\n\n  Triggered when the selected data source by user is not supported by MeasureOne.\n\n  ```json\n  {\n      \"data\": {\n          \"individual_id\": \"idv_30Dk9eiizPQfPdr2G66GU40bdKY\",\n          \"error_description\": \"We are unable to complete the transaction at this time.\",\n          \"datarequest_id\": \"dr_30Dk9kjFLVOwdgYeP8zhG2oa6Q7\",\n          \"reason_code\": \"USER_LOGIN_NOT_SUPPORTED\",\n          \"user_inputs\": {\n              \"system_name\": \"Christ Hospital New Jersey\"\n          },\n          \"datasource_name\": \"Christ Hospital New Jersey\"\n      },\n      \"name\": \"datasourceNotSupported\"\n  }\n  ```\n\n  ##### `datasourceConnected`\n\n  Triggered when the User submits the credentials successfully on the Widget. In case of MFA, this event will be triggered after the MFA is submitted successfully.\n\n  ```json\n    {\n      \"data\": {\n          \"individual_id\": \"idv_2s1Bx4XSDX7aDZpTuyXPMy91c71\",\n          \"connection_id\": \"cn_2ytTJqkKXUJ9xpVpri1zqkvsHZK\",\n          \"datarequest_id\": \"dr_30Djm0G4OEramn9sjp9a0WxGOyQ\",\n          \"session_id\": \"tls_30DjuOLiNF1Z9iX7y91g56lue6m\",\n          \"datasource_id\": \"brk_1valb8EsXaGQdStmrMCvgi2JZaV\",\n          \"datasource_name\": \"MeasureOne Brokerage\"\n      },\n      \"name\": \"datasourceConnected\"\n  }\n  ```\n\n  ##### `credentialsNotObtained`\n\n  Triggered when the user chooses to exit MeasureOne Link after attempting to reset their password.\n\n  ```json\n  {\n    \"name\": \"credentialsNotObtained\",\n    \"data\": {\n      \"individual_id\": \"idv_1gNIu83UT3IwCYcQ6SbtKJAuUWp\",\n      \"datarequest_id\": \"dr_1gNIu83UT3IwCYcQ6SbtKJ3243Wp\",\n      \"datasource_id\": \"sch_CV8e5NzZXwXhNp3TGnpryEmub2E\",\n      \"datasource_name\": \"New Jersey Institute Of Technology\"\n    }\n  }\n  ```\n\n  ##### `exitRequested`\n\n  Triggered when the user chooses to exit the MeasureOne Link experience.\n\n  ```json\n  {\n    \"name\": \"exitRequested\",\n    \"data\": {\n      \"individual_id\": \"idv_1gNIu83UT3IwCYcQ6SbtKJAuUWp\",\n      \"datarequest_id\": \"dr_1gNIu83UT3IwCYcQ6SbtKJ3243Wp\"\n    }\n  }\n  ```\n\n  ##### `currentProgress`\n\n  Triggered when the screen changes. Returns the value in percentage. If the screen is error, the value of the progress will be -1. The attributes in the data object of this event will vary depending on the screen transition.\n\n  ```json\n  {\n    \"name\": \"currentProgress\",\n    \"data\": {\n      \"datarequest_id\": \"dr_1gNIu83UT3IwCYcQ6SbtKJ3243Wp\",\n      \"progress\": 50\n    }\n  }\n  ```\n\n\n  ##### `consentStatusChanged`\n\n  Triggered when the Individual accepts the Consumer Privacy Policy and agrees to give Consent to MeasureOne.\n\n  ```json\n  {\n    \"name\": \"consentStatusChanged\",\n    \"data\": { \n      \"individual_id\": \"idv_1gNIu83UT3IwCYcQ6SbtKJAuUWp\",\n      \"datarequest_id\": \"dr_1gNIu83UT3IwCYcQ6SbtKJ3243Wp\",\n      \"accepted\": true\n    }\n  }\n  ```\n\n  ##### `itemsCreated`\n\n  Triggered when one or more items are manually uploaded by the Individual.\n\n  ```json\n    {\n      \"data\": {\n          \"individual_id\": \"idv_2s1Bx4XSDX7aDZpTuyXPMy91c71\",\n          \"items\": [\n              {\n                  \"id\": \"itm_30DjY6654kQvN70ctDsFUsCtgwk\",\n                  \"source_data_type\": \"PAYSTUB_FILE\"\n              },\n              {\n                  \"id\": \"itm_30DjYG0vlan94LEqliGtAs4z8vA\",\n                  \"source_data_type\": \"PAYSTUB_FILE\"\n              }\n          ],\n          \"datasource_id\": \"emp_28SvJwpPMt1qPuSQy6dEwdzuvKg\",\n          \"datarequest_id\": \"dr_2x7W5oqNfRaAlX0U95DiUbdT9ua\",\n          \"datasource_name\": \"Oracle HCM\"\n      },\n      \"name\": \"itemsCreated\"\n  }\n  ```\n\n  ##### `countrySelected`\n\n  Consumer chose a country from the supported list.\n\n  ```json\n  {\n    \"name\": \"countrySelected\",\n    \"data\": {\n      \"selected_country\": [\"US\",\"CA\"],\n      \"datarequest_id\": \"dr_2x7W5oqNfRaAlX0U95DiUbdT9ua\"\n    }\n  }\n  ```\n\n  ##### `bankConnectRequested`\n\n  Consumer chose a bank-link path (for example Plaid) from connect-method UI.\n\n  ```json\n  {\n    \"name\": \"bankConnectRequested\",\n    \"data\": {\n      \"individual_id\": \"idv_2s1Bx4XSDX7aDZpTuyXPMy91c71\",\n      \"datarequest_id\": \"dr_2x7W5oqNfRaAlX0U95DiUbdT9ua\"\n    }\n  }\n  ```\n\n  ##### `widgetInitiated`\n\n  Triggered when the widget is successfully initiated.\n\n  ```json\n  {\n    \"name\": \"widgetInitiated\",\n    \"data\": {\n      \"datarequest_id\": \"dr_2yH2sqp4l9ECP26gkH6NQL7CIcu\",\n      \"individual_id\": \"idv_2y4pdGqzbeFpQGNadi90olFGEgj\"\n    }\n  }\n  ```\n\n  ##### `datasourceClassified`\n\n  Triggered when a datasource is classified and ready for the User to submit credentials.\n\n  ```json\n  {\n    \"name\": \"datasourceClassified\",\n    \"data\": {\n      \"individual_id\": \"idv_2y4pdGqzbeFpQGNadi90olFGEgj\",\n      \"datarequest_id\": \"dr_2yH2sqp4l9ECP26gkH6NQL7CIcu\",\n      \"datasource_id\": \"emp_1t24BjBBG13ksof6SdbYxmUAKNI\",\n      \"datasource_name\": \"ADP Payroll\"\n    }\n  }\n  ```\n\n  ##### `loginAttempted`\n\n  Triggered when the User submits credentials on the widget.\n\n  ```json\n  {\n    \"name\": \"loginAttempted\",\n    \"data\": {\n      \"individual_id\": \"idv_2y4pdGqzbeFpQGNadi90olFGEgj\",\n      \"datarequest_id\": \"dr_2yH2sqp4l9ECP26gkH6NQL7CIcu\",\n      \"datasource_id\": \"emp_1tnet5VGjeBJKiRuow5cQPjWnYs\",\n      \"datasource_name\": \"ADP Payroll\",\n      \"connection_id\": \"cn_1t1beHJKk5fbq2moTWj9oFv2hHH\",\n      \"session_id\": \"tls_32dslkjchfsdkljckjd\"\n    }\n  }\n  ```\n\n  ##### `additionalCredentialsRequired`\n\n  Triggered when additional credentials (e.g., MFA) are required from the User after submitting initial credentials.\n\n  ```json\n  {\n    \"name\": \"additionalCredentialsRequired\",\n    \"data\": {\n      \"individual_id\": \"idv_2y4pdGqzbeFpQGNadi90olFGEgj\",\n      \"datarequest_id\": \"dr_2yH2sqp4l9ECP26gkH6NQL7CIcu\",\n      \"datasource_id\": \"emp_1tnet5VGjeBJKiRuow5cQPjWnYs\",\n      \"datasource_name\": \"ADP Payroll\",\n      \"connection_id\": \"cn_1t1beHJKk5fbq2moTWj9oFv2hHH\",\n      \"session_id\": \"tls_32dslkjchfsdkljckjd\"\n    }\n  }\n  ```\n\n  ##### `invalidCredentials`\n\n  Triggered when the User submits invalid credentials.\n\n  ```json\n  {\n    \"name\": \"invalidCredentials\",\n    \"data\": {\n      \"individual_id\": \"idv_2y4pdGqzbeFpQGNadi90olFGEgj\",\n      \"datarequest_id\": \"dr_2yH2sqp4l9ECP26gkH6NQL7CIcu\",\n      \"datasource_id\": \"emp_1tnet5VGjeBJKiRuow5cQPjWnYs\",\n      \"datasource_name\": \"ADP Payroll\",\n      \"connection_id\": \"cn_1t1beHJKk5fbq2moTWj9oFv2hHH\",\n      \"session_id\": \"tls_32dslkjchfsdkljckjd\"\n    }\n  }\n  ```\n\n  ##### `datasourceUnavailable`\n\n  Triggered when a classified datasource is unavailable for connection.\n\n\n  ```json\n  {\n    \"name\": \"datasourceUnavailable\",\n    \"data\": {\n      \"individual_id\": \"idv_2y4pdGqzbeFpQGNadi90olFGEgj\",\n      \"datarequest_id\": \"dr_2yH2sqp4l9ECP26gkH6NQL7CIcu\",\n      \"datasource_id\": \"emp_1tnet5VGjeBJKiRuow5cQPjWnYs\",\n      \"datasource_name\": \"ADP Payroll\",\n      \"connection_id\": \"cn_1t1beHJKk5fbq2moTWj9oFv2hHH\",\n      \"session_id\": \"tls_32dslkjchfsdkljckjd\"\n    }\n  }\n  ```\n\n  ##### `forgetUsernamePassword`\n\n  Triggered when the User clicks \"Forgot Password\" on the credentials screen.\n\n  ```json\n  {\n    \"name\": \"forgetUsernamePassword\",\n    \"data\": {\n      \"individual_id\": \"idv_2y4pdGqzbeFpQGNadi90olFGEgj\",\n      \"datarequest_id\": \"dr_2yH2sqp4l9ECP26gkH6NQL7CIcu\",\n      \"datasource_id\": \"emp_1tnet5VGjeBJKiRuow5cQPjWnYs\",\n      \"datasource_name\": \"ADP Payroll\"\n    }\n  }\n  ```\n\n  ##### `additionalCredentialsProvided`\n\n  Triggered when the User submits the additional credentials (MFA) on the widget.\n\n  ```json\n  {\n    \"name\": \"additionalCredentialsProvided\",\n    \"data\": {\n      \"individual_id\": \"idv_2y4pdGqzbeFpQGNadi90olFGEgj\",\n      \"datarequest_id\": \"dr_2yH2sqp4l9ECP26gkH6NQL7CIcu\",\n      \"datasource_id\": \"emp_1tnet5VGjeBJKiRuow5cQPjWnYs\",\n      \"datasource_name\": \"ADP Payroll\",\n      \"connection_id\": \"cn_1t1beHJKk5fbq2moTWj9oFv2hHH\",\n      \"session_id\": \"tls_32dslkjchfsdkljckjd\"\n    }\n  }\n  ```\n\n  ##### `additionalCredentialsInvalid`\n\n  Triggered when the User submits additional credentials (e.g., MFA) on the widget.\n\n  ```json\n  {\n    \"name\": \"additionalCredentialsInvalid\",\n    \"data\": {\n      \"individual_id\": \"idv_2y4pdGqzbeFpQGNadi90olFGEgj\",\n      \"datarequest_id\": \"dr_2yH2sqp4l9ECP26gkH6NQL7CIcu\",\n      \"datasource_id\": \"emp_1tnet5VGjeBJKiRuow5cQPjWnYs\",\n      \"datasource_name\": \"ADP Payroll\",\n      \"connection_id\": \"cn_1t1beHJKk5fbq2moTWj9oFv2hHH\",\n      \"session_id\": \"tls_32dslkjchfsdkljckjd\"\n    }\n  }\n  ```\n\n  **Additional DOM events (reference HTML only)**\n\n  The standalone **`link_widget_html.html`** sample also subscribes to **`screenChange`**, **`schoolSelected`**, **`itemUploaded`**, **`login`**, **`cannotFindSchool`**, and others. Those are **not** part of **`SupportedWidgetOutputEvents`**; payloads are host- and version-specific—use logging in your integration to capture them.\n\n"
    },
    {
      "name": "ListIndividuals",
      "x-displayName": "List Individuals",
      "description": "Integration of List Individuals is done using a small snippet of javascript that can be displayed in any part of your application. \n\n  Widget integration requires the `m1-list-individuals` tag and a set of configuration options as shown in the sample configuration JSON.\n\n  List Individuals raises events for various user actions that your application can subscribe to.\n\n  The List Individuals javascript is available at the links below\n\n  |Environment|List Individuals|\n  |--- |--- |\n  |Staging|https://api-stg.measureone.com/v3/js/enterprise-widget/list_individuals/list_individuals.js|\n  |Production|To enable the List Individuals widget in production, reach out to us at support@measureone.com|\n\n  The source code sample below shows how to integrate MeasureOne List Individuals widget into your front-end using plain vanilla javascript\n\n  </br>\n  \n  ##### Integrating MeasureOne List Individuals Widget\n  ```html\n    <html lang=\"en\">\n    <head>\n        <meta charset=\"UTF-8\">\n        <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n        <meta http-equiv=\"X-UA-Compatible\" content=\"ie=edge\">\n        <title> YOUR TITLE HERE </title>\n        <script src=\"https://api-stg.measureone.com/v3/js/enterprise-widget/list_individuals/list_individuals.js\"></script>\n    </head>\n    <body>\n      <h1>YOUR TITLE HERE</h1>\n      <div>\n        <m1-list-individuals id=\"m1-link-list-individuals\"></m1-list-individuals>\n      </div>  \n\n      <script>\n        var config = {\n            access_key: \"<<YOUR_ACCESS_TOKEN>>\",\n            host_name: \"api-stg.measureone.com\",\n            enable_search: true,\n            page_size: 10,\n            columns: {\n                full_name: { enable_sort: true, show_tooltip: true },\n                external_id: { enable_sort: true, show_tooltip: false },\n                email: { enable_sort: true, show_tooltip: false },\n                created_at: { enable_sort: true, show_tooltip: false }\n            },\n            branding: {\n              styles: {\n                primary_dark: \"#1077B5\",\n                primary_light: \"#41c8fa\",\n                light_text: \"#ffffff\",\n                dark_text: \"#141414\",\n                light_background: \"#ffffff\",\n                dark_background: \"#094670\",\n                font_family_url: \"https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap\"\n                font_family: \"Open Sans,sans-serif\",\n                isDark: false\n              }\n            }\n          }\n                \n        <!-- Take reference to widget -->\n        const widget = document.querySelector(\"m1-link-list-individuals\");\n        \n        <!-- Add configuration -->\n        widget.setAttribute(\"config\", JSON.stringify(config));\n\n        <!-- Add event listeners -->\n        widget.addEventListener('individualClicked',(event)=>{\n            <!-- Perform operation on individualClicked event. --> \n            console.log(event);\n        });\n\n        widget.addEventListener('tokenExpired',(event)=>{\n            <!-- Perform operation on tokenExpired event. -->\n            console.log(event);\n        });\n        widget.addEventListener('widgetLoaded',(event)=>{\n            <!-- Perform operation on widgetLoaded event. -->\n            console.log(event);\n        });\n      </script>\n    </body>\n  </html>\n  ```\n  \n  </br> \n\n  #### Configuration\n  The configuration attribute of the List Individuals Widget is a JSON object, as described below. Additionally, we can enable sorting and tooltip for specific column using `enable_sort` and `show_tooltip`.\n\n  <!-- <SchemaDefinition schemaRef=\"#/components/schemas/LIST_INDIVIDUALS_CONFIG\" />   -->\n\n  {% json-schema\n        schema={\n  \"title\": \"List Individuals Widget Configuration\",\n  \"type\": \"object\",\n  \"required\": [\"access_key\", \"host_name\"],\n  \"properties\": {\n    \"access_key\": {\n      \"type\": \"string\",\n      \"description\": \"Your API Key\"\n    },\n    \"host_name\": {\n      \"type\": \"string\",\n      \"description\": \"Host Name for the environment (staging - api-stg.measureone.com, production - api.measureone.com )\"\n    },\n    \"enable_search\": {\n      \"type\": \"boolean\",\n      \"default\": true,\n      \"description\": \"Allow you to show/hide search and filter on the top of the table.\"\n    },\n    \"page_size\": {\n      \"type\": \"number\",\n      \"default\": 10,\n      \"description\": \"You can change per page records in the table.\"\n    },\n    \"columns\": {\n      \"type\": \"object\",\n      \"description\": \"Columns configurations allow you to enable/disable sorting and tooltip for specific column.\",\n      \"properties\": {\n        \"full_name\": {\n          \"type\": \"object\",\n          \"properties\": {\n            \"enable_sort\": {\n              \"type\": \"boolean\",\n              \"default\": true,\n              \"description\": \"Allows you to enable sorting on full_name. Default value `true`\"\n            },\n            \"show_tooltip\": {\n              \"type\": \"boolean\",\n              \"default\": true,\n              \"description\": \"Allows you to enable tooltip on full_name. Default value `true`\"\n            }\n          }\n        },\n        \"external_id\": {\n          \"type\": \"object\",\n          \"properties\": {\n            \"enable_sort\": {\n              \"type\": \"boolean\",\n              \"default\": true,\n              \"description\": \"Allows you to enable sorting on external_id. Default value `true`\"\n            },\n            \"show_tooltip\": {\n              \"type\": \"boolean\",\n              \"default\": false,\n              \"description\": \"Allows you to enable tooltip on external_id. Default value `false`\"\n            }\n          }\n        },\n        \"email\": {\n          \"type\": \"object\",\n          \"properties\": {\n            \"enable_sort\": {\n              \"type\": \"boolean\",\n              \"default\": true,\n              \"description\": \"Allows you to enable sorting on email. Default value `true`\"\n            },\n            \"show_tooltip\": {\n              \"type\": \"boolean\",\n              \"default\": false,\n              \"description\": \"Allows you to enable tooltip on email. Default value `false`\"\n            }\n          }\n        },\n        \"created_at\": {\n          \"type\": \"object\",\n          \"properties\": {\n            \"enable_sort\": {\n              \"type\": \"boolean\",\n              \"default\": true,\n              \"description\": \"Allows you to enable sorting on created_at. Default value `true`\"\n            },\n            \"show_tooltip\": {\n              \"type\": \"boolean\",\n              \"default\": false,\n              \"description\": \"Allows you to enable tooltip on created_at. Default value `false`\"\n            }\n          }\n        }\n      }\n    },\n    \"branding\": {\n      \"type\": \"object\",\n      \"description\": \"Your branding that can be applied on the widget\",\n      \"properties\": {\n        \"styles\": {\n          \"type\": \"object\",\n          \"description\": \"Styles that can be configured on the widget\",\n          \"properties\": {\n            \"primary_dark\": {\n              \"type\": \"string\",\n              \"example\": \"#1077B5\",\n              \"description\": \"Primary dark color will be used in labels and input box. Default value `#1077B5`\"\n            },\n            \"primary_light\": {\n              \"type\": \"string\",\n              \"example\": \"#41c8fa\",\n              \"description\": \"Primary light color will be used in buttons and progress bar. Default value `#41c8fa`\"\n            },\n            \"light_text\": {\n              \"type\": \"string\",\n              \"example\": \"#ffffff\",\n              \"description\": \"Light text color will be used in labels for light theme. Default value `#ffffff`\"\n            },\n            \"dark_text\": {\n              \"type\": \"string\",\n              \"example\": \"#141414\",\n              \"description\": \"Dark text color will be used in labels for dark theme. Default value `#141414`\"\n            },\n            \"light_background\": {\n              \"type\": \"string\",\n              \"example\": \"#ffffff\",\n              \"description\": \"Light background color will be used in background color for light theme. Default value `#ffffff`\"\n            },\n            \"dark_background\": {\n              \"type\": \"string\",\n              \"example\": \"#094670\",\n              \"description\": \"Dark background color will be used in background color for dark theme. Default value `#094670`\"\n            },\n            \"font_family_url\": {\n              \"type\": \"string\",\n              \"example\": \"https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap\",\n              \"description\": \"URL of font-family that widget should load from url. Default value https://fonts.googleapis.com/css2?family=Open+Sans&family=Quicksand:wght@300&display=swap\"\n            },\n            \"font_family\": {\n              \"type\": \"string\",\n              \"example\": \"Open Sans,sans-serif\",\n              \"description\": \"Font family that should be used in widget. Default value `\\\"Quicksand\\\", sans-serif`\"\n            },\n            \"isDark\": {\n              \"type\": \"boolean\",\n              \"default\": false,\n              \"description\": \"Determines the theme style of the interface. When set to `true`, the interface will use a dark theme... Default is false (light theme).\"\n            }\n          }\n        }\n      }\n    }\n  }\n}\n        /%}\n\n  #### Events\n  Events are triggered based on user activity in the List Individuals widget. These events provide information to you to enhance the experience within your application. The following table provides the details of supported Action Events.\n      Each Action Event may have additional data that provides additional context for the event.  The following sections describe various events generated by the MeasureOne Enterprise widget\n</br>\n</br>\n\n  #### individualClicked\n  Triggered when the Individual is clicked from List Individuals widget.\n\n  ```json\n  {\n    \"name\": \"individualClicked\",\n    \"data\": {\n      \"id\": \"idv_2n9gjMINNUN0FlybUTXOPaTtkOZ\",\n      \"application_id\": \"app_2PKanYLlFGBBvj1s3DdXZ7xCJdg\",\n      \"email\": \"m1_user@mailinator.com\",\n      \"external_id\": \"-\",\n      \"first_name\": \"M1\",\n      \"full_name\": \"M1 User\",\n      \"last_name\": \"User\",\n      \"phone_number\": \"+19669656565\",\n    }\n  }\n  ```  \n\n  </br> \n  \n  #### tokenExpired\n  Triggered when an authentication token `(access_key)` reaches its expiration time. This event is emitted without any data, meaning no additional information (such as token details or user context) is passed along with the event.   \n\n  </br>\n\n  #### widgetLoaded\n\n  Triggered when the Widget has completed its initialization and is ready to render. This event indicates that all required setup steps have finished and the widget can safely be displayed or interacted with. The event is emitted without any data, meaning no additional information is passed along with the event.\n"
    },
    {
      "name": "CreateIndividual",
      "x-displayName": "Create Individual",
      "description": "Integration of Create Individual is done using a small snippet of javascript that can be displayed in any part of your application. \n\n  Widget integration requires the `m1-create-individual` tag and a set of configuration options as shown in the sample configuration JSON.\n\n  Create Individual raises events for various user actions that your application can subscribe to.\n\n  The Create Individual javascript is available at the links below\n\n  | Environment | Create Individual                                                                               |\n  | ----------- | ----------------------------------------------------------------------------------------------- |\n  | Staging     | https://api-stg.measureone.com/v3/js/enterprise-widget/create_individual/create_individual.js   |\n  | Production  | To enable the Create Individual widget in production, reach out to us at support@measureone.com |\n\n  The source code sample below shows how to integrate MeasureOne Create Individual widget into your front-end using plain vanilla javascript\n\n  </br>\n  \n  ##### Integrating MeasureOne Create Individual Widget\n  ```html\n    <html lang=\"en\">\n    <head>\n        <meta charset=\"UTF-8\">\n        <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n        <meta http-equiv=\"X-UA-Compatible\" content=\"ie=edge\">\n        <title> YOUR TITLE HERE </title>\n        <script src=\"https://api-stg.measureone.com/v3/js/enterprise-widget/create_individual/create_individual.js\"></script>\n    </head>\n    <body>\n      <h1>YOUR TITLE HERE</h1>\n      <div>\n        <m1-create-individual id=\"m1-link-create-individual\"></m1-create-individual>\n      </div>\n\n      <script>\n        var config = {\n            access_key: \"<<YOUR_ACCESS_TOKEN>>\",\n            host_name: \"api-stg.measureone.com\",\n            first_name: \"John\",\n            last_name: \"Doe\",\n            email: \"john_doe@gmail.com\",\n            phone_number: \"1234567890\",\n            external_id: \"ext_123\",\n            show_initiate_new_data_request: false,\n            initiate_data_request: false,\n            branding: {\n                styles: {\n                    primary_dark: \"#1077B5\",\n                    primary_light: \"#41c8fa\",\n                    light_text: \"#ffffff\",\n                    dark_text: \"#141414\",\n                    light_background: \"#ffffff\",\n                    dark_background: \"#094670\",\n                    font_family_url: \"https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap\"\n                    font_family: \"Open Sans,sans-serif\",\n                    isDark: false\n                }\n            }\n        }\n                \n        <!-- Take reference to widget -->\n        const widget = document.querySelector(\"m1-link-create-individual\");\n        \n        <!-- Add configuration -->\n        widget.setAttribute(\"config\", JSON.stringify(config));\n\n        <!-- Add event listeners -->\n        widget.addEventListener('individualCreated',(event)=>{\n            <!-- Perform operation on individualCreated event. -->\n            console.log(event);\n        });\n        widget.addEventListener('cancelRequested',(event)=>{\n            <!-- Perform operation on cancelRequested event. -->\n            console.log(event);\n        });\n        widget.addEventListener('tokenExpired',(event)=>{\n            <!-- Perform operation on tokenExpired event. -->\n            console.log(event);\n        });\n        widget.addEventListener('widgetLoaded',(event)=>{\n            <!-- Perform operation on widgetLoaded event. -->\n            console.log(event);\n        });\n      </script>\n    </body>\n  </html>\n  ```\n  \n  </br> \n\n  #### Configuration\n  The configuration attribute of the Create Individual Widget is a JSON object, as described below.\n\n  <!-- <SchemaDefinition schemaRef=\"#/components/schemas/CREATE_INDIVIDUAL_CONFIG\" />   -->\n\n  {% json-schema\n        schema={\n            \"title\": \"Create Individual Widget Configuration\",\n            \"type\": \"object\",\n            \"required\": [\"access_key\", \"host_name\",\"first_name\",\"last_name\",\"email\"],\n            \"properties\": {\n              \"access_key\": {\n                \"type\": \"string\",\n                \"description\": \"Your API Key\"\n              },\n              \"host_name\": {\n                \"type\": \"string\",\n                \"description\": \"Host Name for the environment (staging - api-stg.measureone.com, production - api.measureone.com )\"\n              },\n              \"first_name\": {\n                \"type\": \"string\",\n                \"description\": \"First name of the individual\",\n                \"example\": \"John\",\n                \"maxLength\": 45\n              },\n              \"last_name\": {\n                \"type\": \"string\",\n                \"description\": \"Last name of the individual\",\n                \"example\": \"Doe\",\n                \"maxLength\": 45\n              },\n              \"email\": {\n                \"type\": \"string\",\n                \"description\": \"Email of the individual\",\n                \"example\": \"john_doe@gmail.com\",\n                \"maxLength\": 255\n              },\n              \"phone_number\": {\n                \"type\": \"string\",\n                \"description\": \"Phone number of the individual\",\n                \"example\": \"1234567890\",\n                \"minLength\": 10,\n                \"maxLength\": 10\n              },\n              \"external_id\": {\n                \"type\": \"string\",\n                \"description\": \"External id of the individual\",\n                \"example\": \"ext_123\",\n                \"maxLength\": 45\n              },\n              \"show_initiate_new_data_request\": {\n                \"type\": \"boolean\",\n                \"description\": \"To show `Initiate a new data request for this user` check-box\",\n                \"default\": false\n              },\n              \"initiate_data_request\": {\n                \"type\": \"boolean\",\n                \"description\": \"To initiate a new data request for user without check-box\",\n                \"default\": false\n              },\n              \"branding\": {\n                \"type\": \"object\",\n                \"description\": \"Your branding that can be applied on the widget\",\n                \"properties\": {\n                  \"styles\": {\n                    \"type\": \"object\",\n                    \"description\": \"Styles that can be configured on the widget\",\n                    \"properties\": {\n                      \"primary_dark\": {\n                        \"type\": \"string\",\n                        \"description\": \"Primary dark color will be used in labels and input box. Default value `#1077B5`\",\n                        \"example\": \"#1077B5\"\n                      },\n                      \"primary_light\": {\n                        \"type\": \"string\",\n                        \"description\": \"Primary light color will be used in buttons and progress bar. Default value `#41c8fa`\",\n                        \"example\": \"#41c8fa\"\n                      },\n                      \"light_text\": {\n                        \"type\": \"string\",\n                        \"description\": \"Light text color will be used in labels for light theme. Default value `#ffffff`\",\n                        \"example\": \"#ffffff\"\n                      },\n                      \"dark_text\": {\n                        \"type\": \"string\",\n                        \"description\": \"Dark text color will be used in labels for dark theme. Default value `#141414`\",\n                        \"example\": \"#141414\"\n                      },\n                      \"light_background\": {\n                        \"type\": \"string\",\n                        \"description\": \"Light background color will be used in background color for light theme. Default value `#ffffff`\",\n                        \"example\": \"#ffffff\"\n                      },\n                      \"dark_background\": {\n                        \"type\": \"string\",\n                        \"description\": \"Dark background color will be used in background color for dark theme. Default value `#094670`\",\n                        \"example\": \"#094670\"\n                      },\n                      \"font_family_url\": {\n                        \"type\": \"string\",\n                        \"description\": \"URL of font-family that widget should load from url.\\nDefault value https://fonts.googleapis.com/css2?family=Open+Sans&family=Quicksand:wght@300&display=swap\",\n                        \"example\": \"https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap\"\n                      },\n                      \"font_family\": {\n                        \"type\": \"string\",\n                        \"description\": \"Font family that should be used in widget. Default value `\\\"Quicksand\\\", sans-serif`\",\n                        \"example\": \"Open Sans,sans-serif\"\n                      },\n                      \"isDark\": {\n                        \"type\": \"boolean\",\n                        \"default\": false,\n                        \"description\": \"Determines the theme style of the interface. When set to `true`, the interface will use a dark theme... (truncated)\"\n                      }\n                    }\n                  }\n                }\n              }\n            }\n          }\n       /%}\n\n  #### Events\n  Events are triggered based on user activity in the Create Individual widget. These events provide information to you to enhance the experience within your application. The following table provides the details of supported Action Events.\n      Each Action Event may have additional data that provides additional context for the event.  The following sections describe various events generated by the MeasureOne Enterprise widget\n</br>\n</br>\n\n  #### individualCreated\n\n  Triggered when the Individual is created from Create Individual widget.\n\n  ```json\n\n  {\n    \"name\": \"individualCreated\",\n    \"data\": {\n      \"individual_id\": \"idv_2n9gjMINNUN0FlybUTXOPaTtkOZ\",\n      \"initiate_new_data_request\": false\n    }\n  }\n\n  ```\n\n  </br>\n\n#### cancelRequested\n\n  Triggered on click of CANCEL button from Create Individual widget.\n\n  ```json\n\n  {\n    \"name\": \"cancelRequested\"\n  }\n\n  ```     \n\n</br>\n\n#### tokenExpired\n    \n  Triggered when an authentication token `(access_key)` reaches its expiration time. This event is emitted without any data, meaning no additional information (such as token details or user context) is passed along with the event.\n</br>\n\n#### widgetLoaded\n\nTriggered when the Widget has completed its initialization and is ready to render. This event indicates that all required setup steps have finished and the widget can safely be displayed or interacted with. The event is emitted without any data, meaning no additional information is passed along with the event."
    },
    {
      "name": "DatarequestDetails",
      "x-displayName": "Datarequest Details",
      "description": "Integration of Datarequest Details is done using a small snippet of javascript that can be displayed in any part of your application. \n\n  Widget integration requires the `m1-datarequest-details` tag and a set of configuration options as shown in the sample configuration JSON.\n\n  Datarequest Details raises events for various user actions that your application can subscribe to.\n\n  The Datarequest Details javascript is available at the links below\n\n  | Environment | Datarequest Details                                                                               |\n  | ----------- | -----------------------------------------------------------------------------------------------   |\n  | Staging     | https://api-stg.measureone.com/v3/js/enterprise-widget/datarequest_details/datarequest_details.js |\n  | Production  | To enable the Datarequest Details widget in production, reach out to us at support@measureone.com |\n\n  The source code sample below shows how to integrate MeasureOne Datarequest Details widget into your front-end using plain vanilla javascript\n\n  </br>\n  \n  ##### Integrating MeasureOne Datarequest Details Widget\n  ```html\n    <html lang=\"en\">\n    <head>\n        <meta charset=\"UTF-8\">\n        <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n        <meta http-equiv=\"X-UA-Compatible\" content=\"ie=edge\">\n        <title> YOUR TITLE HERE </title>\n        <script src=\"https://api-stg.measureone.com/v3/js/enterprise-widget/datarequest_details/datarequest_details.js\"></script>\n    </head>\n    <body>\n      <h1>YOUR TITLE HERE</h1>\n      <div>\n        <m1-datarequest-details id=\"m1-link-datarequest-details\"></m1-datarequest-details>\n      </div>\n\n      <script>\n        var config = {\n            access_key: \"<<YOUR_ACCESS_TOKEN>>\",\n            host_name: \"api-stg.measureone.com\",\n            datarequest_id: \"dr_2n71dMbiUc5SkyZJWPcEmUvyGPc\",\n            display_refresh_details: false,\n            branding: {\n                styles: {\n                    primary_dark: \"#1077B5\",\n                    primary_light: \"#41c8fa\",\n                    light_text: \"#ffffff\",\n                    dark_text: \"#141414\",\n                    light_background: \"#ffffff\",\n                    dark_background: \"#094670\",\n                    font_family_url: \"https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap\"\n                    font_family: \"Open Sans,sans-serif\",\n                    isDark: false\n                }\n            }\n        }\n                \n        <!-- Take reference to widget -->\n        const widget = document.querySelector(\"m1-link-datarequest-details\");\n        \n        <!-- Add configuration -->\n        widget.setAttribute(\"config\", JSON.stringify(config));\n\n        <!-- Add event listeners -->\n        widget.addEventListener('addRefreshClicked',(event)=>{\n            <!-- Perform operation on addRefreshClicked event. -->\n            console.log(event);\n        });\n        widget.addEventListener('updateRefreshClicked',(event)=>{\n            <!-- Perform operation on updateRefreshClicked event. -->\n            console.log(event);\n        });\n        widget.addEventListener('deleteRefreshClicked',(event)=>{\n            <!-- Perform operation on deleteRefreshClicked event. -->\n            console.log(event);\n        });\n        widget.addEventListener('tokenExpired',(event)=>{\n            <!-- Perform operation on tokenExpired event. -->\n            console.log(event);\n        });\n        widget.addEventListener('widgetLoaded',(event)=>{\n            <!-- Perform operation on widgetLoaded event. -->\n            console.log(event);\n        });\n      </script>\n    </body>\n  </html>\n  ```\n  \n  </br> \n\n  #### Configuration\n  The configuration attribute of the Datarequest Details Widget is a JSON object, as described below.\n\n  <!-- <SchemaDefinition schemaRef=\"#/components/schemas/DATAREQUEST_DETAILS_CONFIG\" />   -->\n\n{% json-schema\n        schema={\n  \"title\": \"Datarequest Details Widget Configuration\",\n  \"type\": \"object\",\n  \"required\": [\"access_key\", \"host_name\", \"datarequest_id\"],\n  \"properties\": {\n    \"access_key\": {\n      \"type\": \"string\",\n      \"description\": \"Your API Key\"\n    },\n    \"host_name\": {\n      \"type\": \"string\",\n      \"description\": \"Host Name for the environment (staging - api-stg.measureone.com, production - api.measureone.com )\"\n    },\n    \"datarequest_id\": {\n      \"type\": \"string\",\n      \"example\": \"dr_2n71dMbiUc5SkyZJWPcEmUvyGPc\",\n      \"description\": \"Unique ID of the Data Request identified by MeasureOne\"\n    },\n    \"display_refresh_details\": {\n      \"type\": \"boolean\",\n      \"default\": false,\n      \"description\": \"To show/hide REFRESH SCHEDULE section in details page\"\n    },\n    \"branding\": {\n      \"type\": \"object\",\n      \"description\": \"Your branding that can be applied on the widget\",\n      \"properties\": {\n        \"styles\": {\n          \"type\": \"object\",\n          \"description\": \"Styles that can be configured on the widget\",\n          \"properties\": {\n            \"primary_dark\": {\n              \"type\": \"string\",\n              \"example\": \"#1077B5\",\n              \"description\": \"Primary dark color will be used in labels and input box. Default value `#1077B5`\"\n            },\n            \"primary_light\": {\n              \"type\": \"string\",\n              \"example\": \"#41c8fa\",\n              \"description\": \"Primary light color will be used in buttons and progress bar. Default value `#41c8fa`\"\n            },\n            \"light_text\": {\n              \"type\": \"string\",\n              \"example\": \"#ffffff\",\n              \"description\": \"Light text color will be used in labels for light theme. Default value `#ffffff`\"\n            },\n            \"dark_text\": {\n              \"type\": \"string\",\n              \"example\": \"#141414\",\n              \"description\": \"Dark text color will be used in labels for dark theme. Default value `#141414`\"\n            },\n            \"light_background\": {\n              \"type\": \"string\",\n              \"example\": \"#ffffff\",\n              \"description\": \"Light background color will be used in background color for light theme. Default value `#ffffff`\"\n            },\n            \"dark_background\": {\n              \"type\": \"string\",\n              \"example\": \"#094670\",\n              \"description\": \"Dark background color will be used in background color for dark theme. Default value `#094670`\"\n            },\n            \"font_family_url\": {\n              \"type\": \"string\",\n              \"example\": \"https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap\",\n              \"description\": \"URL of font-family that widget should load from url. Default value https://fonts.googleapis.com/css2?family=Open+Sans&family=Quicksand:wght@300&display=swap\"\n            },\n            \"font_family\": {\n              \"type\": \"string\",\n              \"example\": \"Open Sans,sans-serif\",\n              \"description\": \"Font family that should be used in widget. Default value `\\\"Quicksand\\\", sans-serif`\"\n            },\n            \"isDark\": {\n              \"type\": \"boolean\",\n              \"default\": false,\n              \"description\": \"Determines the theme style of the interface. When set to `true`, the interface will use a dark theme, which typically features darker background colors and lighter text for improved readability in low-light environments. When set to `false` (the default), the interface will use a light theme, which typically features lighter backgrounds and darker text. This allows users to toggle between light and dark themes based on their preferences.\"\n            }\n          }\n        }\n      }\n    }\n  }\n}\n\n /%}\n\n  #### Events\n  Events are triggered based on user activity in the Datarequest Details widget. These events provide information to you to enhance the experience within your application. The following table provides the details of supported Action Events.\n      Each Action Event may have additional data that provides additional context for the event.  The following sections describe various events generated by the MeasureOne Enterprise widget\n</br>\n</br>\n\n  #### addRefreshClicked\n\n  Triggered when the Setup link clicked from Datarequest Details widget.\n\n  ```json\n\n  {\n    \"name\": \"addRefreshClicked\",\n    \"data\": {\n      \"datarequest_id\": \"dr_2n71dMbiUc5SkyZJWPcEmUvyGPc\"\n    }\n  }\n\n  ```\n\n  </br>\n\n#### updateRefreshClicked\n\n  Triggered when the Modify link clicked from Datarequest Details widget.\n\n  ```json\n\n  {\n    \"name\": \"updateRefreshClicked\",\n    \"data\": {\n      \"datarequest_id\": \"dr_2n71dMbiUc5SkyZJWPcEmUvyGPc\"\n    }\n  }\n\n  ```     \n\n  </br>\n\n#### deleteRefreshClicked\n\n  Triggered when the Stop link clicked from Datarequest Details widget.\n\n  ```json\n\n  {\n    \"name\": \"deleteRefreshClicked\",\n    \"data\": {\n      \"datarequest_id\": \"dr_2n71dMbiUc5SkyZJWPcEmUvyGPc\"\n    }\n  }\n\n  ```     \n\n</br>\n\n#### tokenExpired\n    \n  Triggered when an authentication token `(access_key)` reaches its expiration time. This event is emitted without any data, meaning no additional information (such as token details or user context) is passed along with the event.\n\n</br>\n\n#### widgetLoaded\n\nTriggered when the Widget has completed its initialization and is ready to render. This event indicates that all required setup steps have finished and the widget can safely be displayed or interacted with. The event is emitted without any data, meaning no additional information is passed along with the event."
    },
    {
      "name": "ScheduleAutoRefresh",
      "x-displayName": "Schedule Auto Refresh",
      "description": "Integration of Schedule Auto Refresh is done using a small snippet of javascript that can be displayed in any part of your application. \n\n  Widget integration requires the `m1-schedule-auto-refresh` tag and a set of configuration options as shown in the sample configuration JSON.\n\n  Schedule Auto Refresh raises events for various user actions that your application can subscribe to.\n\n  The Schedule Auto Refresh javascript is available at the links below\n\n  | Environment | Schedule Auto Refresh                                                                                 |\n  | ----------- | ----------------------------------------------------------------------------------------------------- |\n  | Staging     | https://api-stg.measureone.com/v3/js/enterprise-widget/schedule_auto_refresh/schedule_auto_refresh.js |\n  | Production  | To enable the Schedule Auto Refresh widget in production, reach out to us at support@measureone.com   |\n\n  The source code sample below shows how to integrate MeasureOne Schedule Auto Refresh widget into your front-end using plain vanilla javascript\n\n  </br>\n  \n  ##### Integrating MeasureOne Schedule Auto Refresh Widget\n  ```html\n    <html lang=\"en\">\n    <head>\n        <meta charset=\"UTF-8\">\n        <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n        <meta http-equiv=\"X-UA-Compatible\" content=\"ie=edge\">\n        <title> YOUR TITLE HERE </title>\n        <script src=\"https://api-stg.measureone.com/v3/js/enterprise-widget/schedule_auto_refresh/schedule_auto_refresh.js\"></script>\n    </head>\n    <body>\n      <h1>YOUR TITLE HERE</h1>\n      <div>\n        <m1-schedule-auto-refresh id=\"m1-link-schedule-auto-refresh\"></m1-schedule-auto-refresh>\n      </div>\n\n      <script>\n        var config = {\n            access_key: \"<<YOUR_ACCESS_TOKEN>>\",\n            host_name: \"api-stg.measureone.com\",\n            datarequest_id: \"dr_2n71dMbiUc5SkyZJWPcEmUvyGPc\",\n            branding: {\n                styles: {\n                    primary_dark: \"#1077B5\",\n                    primary_light: \"#41c8fa\",\n                    light_text: \"#ffffff\",\n                    dark_text: \"#141414\",\n                    light_background: \"#ffffff\",\n                    dark_background: \"#094670\",\n                    font_family_url: \"https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap\"\n                    font_family: \"Open Sans,sans-serif\",\n                    isDark: false\n                }\n            }\n        }\n                \n        <!-- Take reference to widget -->\n        const widget = document.querySelector(\"m1-link-schedule-auto-refresh\");\n        \n        <!-- Add configuration -->\n        widget.setAttribute(\"config\", JSON.stringify(config));\n\n        <!-- Add event listeners -->\n        widget.addEventListener('refreshScheduleUpdated',(event)=>{\n            <!-- Perform operation on refreshScheduleUpdated event. -->\n            console.log(event);\n        });\n        widget.addEventListener('cancelRequested',(event)=>{\n            <!-- Perform operation on cancelRequested event. -->\n            console.log(event);\n        });\n        widget.addEventListener('tokenExpired',(event)=>{\n            <!-- Perform operation on tokenExpired event. -->\n            console.log(event);\n        });\n        widget.addEventListener('widgetLoaded',(event)=>{\n            <!-- Perform operation on widgetLoaded event. -->\n            console.log(event);\n        });\n      </script>\n    </body>\n  </html>\n  ```\n  \n  </br> \n\n  #### Configuration\n  The configuration attribute of the Schedule Auto Refresh Widget is a JSON object, as described below.\n\n  <!-- <SchemaDefinition schemaRef=\"#/components/schemas/SCHEDULE_AUTO_REFRESH_CONFIG\" />   -->\n\n   {% json-schema\n        schema={\n  \"title\": \"Schedule Auto Refresh Widget Configuration\",\n  \"type\": \"object\",\n  \"required\": [\"access_key\", \"host_name\", \"datarequest_id\"],\n  \"properties\": {\n    \"access_key\": {\n      \"type\": \"string\",\n      \"description\": \"Your API Key\"\n    },\n    \"host_name\": {\n      \"type\": \"string\",\n      \"description\": \"Host Name for the environment (staging - api-stg.measureone.com, production - api.measureone.com )\"\n    },\n    \"datarequest_id\": {\n      \"type\": \"string\",\n      \"example\": \"dr_2n71dMbiUc5SkyZJWPcEmUvyGPc\",\n      \"description\": \"Unique ID of the Data Request identified by MeasureOne\"\n    },\n    \"branding\": {\n      \"type\": \"object\",\n      \"description\": \"Your branding that can be applied on the widget\",\n      \"properties\": {\n        \"styles\": {\n          \"type\": \"object\",\n          \"description\": \"Styles that can be configured on the widget\",\n          \"properties\": {\n            \"primary_dark\": {\n              \"type\": \"string\",\n              \"example\": \"#1077B5\",\n              \"description\": \"Primary dark color will be used in labels and input box. Default value `#1077B5`\"\n            },\n            \"primary_light\": {\n              \"type\": \"string\",\n              \"example\": \"#41c8fa\",\n              \"description\": \"Primary light color will be used in buttons and progress bar. Default value `#41c8fa`\"\n            },\n            \"light_text\": {\n              \"type\": \"string\",\n              \"example\": \"#ffffff\",\n              \"description\": \"Light text color will be used in labels for light theme. Default value `#ffffff`\"\n            },\n            \"dark_text\": {\n              \"type\": \"string\",\n              \"example\": \"#141414\",\n              \"description\": \"Dark text color will be used in labels for dark theme. Default value `#141414`\"\n            },\n            \"light_background\": {\n              \"type\": \"string\",\n              \"example\": \"#ffffff\",\n              \"description\": \"Light background color will be used in background color for light theme. Default value `#ffffff`\"\n            },\n            \"dark_background\": {\n              \"type\": \"string\",\n              \"example\": \"#094670\",\n              \"description\": \"Dark background color will be used in background color for dark theme. Default value `#094670`\"\n            },\n            \"font_family_url\": {\n              \"type\": \"string\",\n              \"example\": \"https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap\",\n              \"description\": \"URL of font-family that widget should load from url. Default value https://fonts.googleapis.com/css2?family=Open+Sans&family=Quicksand:wght@300&display=swap\"\n            },\n            \"font_family\": {\n              \"type\": \"string\",\n              \"example\": \"Open Sans,sans-serif\",\n              \"description\": \"Font family that should be used in widget. Default value `\\\"Quicksand\\\", sans-serif`\"\n            },\n            \"isDark\": {\n              \"type\": \"boolean\",\n              \"default\": false,\n              \"description\": \"Determines the theme style of the interface. When set to `true`, the interface will use a dark theme, which typically features darker background colors and lighter text for improved readability in low-light environments. When set to `false` (the default), the interface will use a light theme, which typically features lighter backgrounds and darker text. This allows users to toggle between light and dark themes based on their preferences.\"\n            }\n          }\n        }\n      }\n    }\n  }\n}\n /%}\n\n  #### Events\n  Events are triggered based on user activity in the Schedule Auto Refresh widget. These events provide information to you to enhance the experience within your application. The following table provides the details of supported Action Events.\n      Each Action Event may have additional data that provides additional context for the event.  The following sections describe various events generated by the MeasureOne Enterprise widget\n</br>\n</br>\n\n  #### refreshScheduleUpdated\n\n  Triggered when the `SUBMIT` button clicked from Schedule Auto Refresh widget.\n\n  ```json\n\n  {\n    \"name\": \"refreshScheduleUpdated\",\n    \"data\": {\n      \"datarequest_id\": \"dr_2n71dMbiUc5SkyZJWPcEmUvyGPc\"\n    }\n  }\n\n  ```\n\n  </br>\n\n#### cancelRequested\n\n  Triggered when the `BACK` button clicked from Schedule Auto Refresh widget.\n\n  ```json\n\n  {\n    \"name\": \"cancelRequested\"\n  }\n\n  ```     \n\n</br>\n\n#### tokenExpired\n\n  Triggered when an authentication token `(access_key)` reaches its expiration time. This event is emitted without any data, meaning no additional information (such as token details or user context) is passed along with the event.\n\n</br>\n\n#### widgetLoaded\n\nTriggered when the Widget has completed its initialization and is ready to render. This event indicates that all required setup steps have finished and the widget can safely be displayed or interacted with. The event is emitted without any data, meaning no additional information is passed along with the event.\n"
    },
    {
      "name": "CreateInvitation",
      "x-displayName": "Create Invitation",
      "description": "Integration of Create Invitation is done using a small snippet of javascript that can be displayed in any part of your application. \n\n  Widget integration requires the `m1-create-invitation` tag and a set of configuration options as shown in the sample configuration JSON.\n\n  Create Invitation raises events for various user actions that your application can subscribe to.\n\n  The Create Invitation javascript is available at the links below\n\n  | Environment | Create Invitation                                                                               |\n  | ----------- | ----------------------------------------------------------------------------------------------- |\n  | Staging     | https://api-stg.measureone.com/v3/js/enterprise-widget/create_invitation/create_invitation.js   |\n  | Production  | To enable the Create Invitation widget in production, reach out to us at support@measureone.com |\n\n  The source code sample below shows how to integrate MeasureOne Create Invitation widget into your front-end using plain vanilla javascript\n\n  </br>\n  \n  ##### Integrating MeasureOne Create Invitation Widget\n  ```html\n    <html lang=\"en\">\n    <head>\n        <meta charset=\"UTF-8\">\n        <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n        <meta http-equiv=\"X-UA-Compatible\" content=\"ie=edge\">\n        <title> YOUR TITLE HERE </title>\n        <script src=\"https://api-stg.measureone.com/v3/js/enterprise-widget/create_invitation/create_invitation.js\"></script>\n    </head>\n    <body>\n      <h1>YOUR TITLE HERE</h1>\n      <div>\n        <m1-create-invitation id=\"m1-link-create-invitation\"></m1-create-invitation>\n      </div>\n\n      <script>\n        var config = {\n            access_key: \"<<YOUR_ACCESS_TOKEN>>\",\n            host_name: \"api-stg.measureone.com\",\n            datarequest_id: \"dr_2n71dMbiUc5SkyZJWPcEmUvyGPc\",\n            expires_in: 86400\n            branding: {\n                styles: {\n                    primary_dark: \"#1077B5\",\n                    primary_light: \"#41c8fa\",\n                    light_text: \"#ffffff\",\n                    dark_text: \"#141414\",\n                    light_background: \"#ffffff\",\n                    dark_background: \"#094670\",\n                    font_family_url: \"https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap\"\n                    font_family: \"Open Sans,sans-serif\",\n                    isDark: false\n                }\n            }\n        }\n                \n        <!-- Take reference to widget -->\n        const widget = document.querySelector(\"m1-link-create-invitation\");\n        \n        <!-- Add configuration -->\n        widget.setAttribute(\"config\", JSON.stringify(config));\n\n        <!-- Add event listeners -->\n        widget.addEventListener('invitationCreated',(event)=>{\n            <!-- Perform operation on invitationCreated event. -->\n            console.log(event);\n        });\n        widget.addEventListener('cancelRequested',(event)=>{\n            <!-- Perform operation on cancelRequested event. -->\n            console.log(event);\n        });\n        widget.addEventListener('tokenExpired',(event)=>{\n            <!-- Perform operation on tokenExpired event. -->\n            console.log(event);\n        });\n        widget.addEventListener('widgetLoaded',(event)=>{\n            <!-- Perform operation on widgetLoaded event. -->\n            console.log(event);\n        });\n      </script>\n    </body>\n  </html>\n  ```\n  \n  </br> \n\n  #### Configuration\n  The configuration attribute of the Create Invitation Widget is a JSON object, as described below.\n\n  <!-- <SchemaDefinition schemaRef=\"#/components/schemas/CREATE_INVITATION_CONFIG\" />   -->\n\n  {% json-schema\n        schema={\n  \"title\": \"Create Invitation Widget Configuration\",\n  \"type\": \"object\",\n  \"required\": [\"access_key\", \"host_name\", \"datarequest_id\"],\n  \"properties\": {\n    \"access_key\": {\n      \"type\": \"string\",\n      \"description\": \"Your API Key\"\n    },\n    \"host_name\": {\n      \"type\": \"string\",\n      \"description\": \"Host Name for the environment (staging - api-stg.measureone.com, production - api.measureone.com )\"\n    },\n    \"datarequest_id\": {\n      \"type\": \"string\",\n      \"example\": \"dr_2n71dMbiUc5SkyZJWPcEmUvyGPc\",\n      \"description\": \"Unique ID of the Data Request identified by MeasureOne\"\n    },\n    \"expires_in\": {\n      \"type\": \"number\",\n      \"example\": 259200,\n      \"description\": \"Pass number of days in seconds, to pre-filled Expires on date in create-invitation widget\"\n    },\n    \"branding\": {\n      \"type\": \"object\",\n      \"description\": \"Your branding that can be applied on the widget\",\n      \"properties\": {\n        \"styles\": {\n          \"type\": \"object\",\n          \"description\": \"Styles that can be configured on the widget\",\n          \"properties\": {\n            \"primary_dark\": {\n              \"type\": \"string\",\n              \"example\": \"#1077B5\",\n              \"description\": \"Primary dark color will be used in labels and input box. Default value `#1077B5`\"\n            },\n            \"primary_light\": {\n              \"type\": \"string\",\n              \"example\": \"#41c8fa\",\n              \"description\": \"Primary light color will be used in buttons and progress bar. Default value `#41c8fa`\"\n            },\n            \"light_text\": {\n              \"type\": \"string\",\n              \"example\": \"#ffffff\",\n              \"description\": \"Light text color will be used in labels for light theme. Default value `#ffffff`\"\n            },\n            \"dark_text\": {\n              \"type\": \"string\",\n              \"example\": \"#141414\",\n              \"description\": \"Dark text color will be used in labels for dark theme. Default value `#141414`\"\n            },\n            \"light_background\": {\n              \"type\": \"string\",\n              \"example\": \"#ffffff\",\n              \"description\": \"Light background color will be used in background color for light theme. Default value `#ffffff`\"\n            },\n            \"dark_background\": {\n              \"type\": \"string\",\n              \"example\": \"#094670\",\n              \"description\": \"Dark background color will be used in background color for dark theme. Default value `#094670`\"\n            },\n            \"font_family_url\": {\n              \"type\": \"string\",\n              \"example\": \"https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap\",\n              \"description\": \"URL of font-family that widget should load from url. Default value https://fonts.googleapis.com/css2?family=Open+Sans&family=Quicksand:wght@300&display=swap\"\n            },\n            \"font_family\": {\n              \"type\": \"string\",\n              \"example\": \"Open Sans,sans-serif\",\n              \"description\": \"Font family that should be used in widget. Default value `\\\"Quicksand\\\", sans-serif`\"\n            },\n            \"isDark\": {\n              \"type\": \"boolean\",\n              \"default\": false,\n              \"description\": \"Determines the theme style of the interface. When set to `true`, the interface will use a dark theme... Default is false (light theme).\"\n            }\n          }\n        }\n      }\n    }\n  }\n}\n\n /%}\n\n  #### Events\n  Events are triggered based on user activity in the Create Invitation widget. These events provide information to you to enhance the experience within your application. The following table provides the details of supported Action Events.\n      Each Action Event may have additional data that provides additional context for the event.  The following sections describe various events generated by the MeasureOne Enterprise widget\n</br>\n</br>\n\n  #### invitationCreated\n\n  Triggered when the `SUBMIT` button clicked from Create Invitation widget.\n\n  ```json\n\n  {\n    \"name\": \"invitationCreated\",\n    \"data\": {\n      \"datarequest_id\": \"dr_2n71dMbiUc5SkyZJWPcEmUvyGPc\"\n    }\n  }\n\n  ```\n\n  </br>\n\n#### cancelRequested\n\n  Triggered when the `BACK` button clicked from Create Invitation widget.\n\n  ```json\n\n  {\n    \"name\": \"cancelRequested\"\n  }\n\n  ```     \n\n</br>\n\n#### tokenExpired\n\n  Triggered when an authentication token `(access_key)` reaches its expiration time. This event is emitted without any data, meaning no additional information (such as token details or user context) is passed along with the event.\n\n</br>\n\n#### widgetLoaded\n\nTriggered when the Widget has completed its initialization and is ready to render. This event indicates that all required setup steps have finished and the widget can safely be displayed or interacted with. The event is emitted without any data, meaning no additional information is passed along with the event.\n"
    },
    {
      "name": "CreateDatarequest",
      "x-displayName": "Create Datarequest",
      "description": "Integration of Create Datarequest is done using a small snippet of javascript that can be displayed in any part of your application. \n\n  Widget integration requires the `m1-create-datarequest` tag and a set of configuration options as shown in the sample configuration JSON.\n\n  Create Datarequest raises events for various user actions that your application can subscribe to.\n\n  The Create Datarequest javascript is available at the links below\n\n  | Environment | Create Datarequest                                                                               |\n  | ----------- | ------------------------------------------------------------------------------------------------ |\n  | Staging     | https://api-stg.measureone.com/v3/js/enterprise-widget/create_datarequest/create_datarequest.js  |\n  | Production  | To enable the Create Datarequest widget in production, reach out to us at support@measureone.com |\n\n  The source code sample below shows how to integrate MeasureOne Create Datarequest widget into your front-end using plain vanilla javascript\n\n  </br>\n  \n  ##### Integrating MeasureOne Create Datarequest Widget\n  ```html\n    <html lang=\"en\">\n    <head>\n        <meta charset=\"UTF-8\">\n        <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n        <meta http-equiv=\"X-UA-Compatible\" content=\"ie=edge\">\n        <title> YOUR TITLE HERE </title>\n        <script src=\"https://api-stg.measureone.com/v3/js/enterprise-widget/create_datarequest/create_datarequest.js\"></script>\n    </head>\n    <body>\n      <h1>YOUR TITLE HERE</h1>\n      <div>\n        <m1-create-datarequest id=\"m1-link-create-datarequest\"></m1-create-datarequest>\n      </div>\n\n      <script>\n        var config = {\n            access_key: \"<<YOUR_ACCESS_TOKEN>>\",\n            host_name: \"api-stg.measureone.com\",\n            individual_id: \"idv_2lNUNXBJ0MP9FfD0J2PRUC6qc8v\",\n            datarequest_type: \"INCOME_EMPLOYMENT_DETAILS\",\n            experience_type: \"INCOME_EMPLOYMENT\",\n            document_types: [\"EMPLOYMENT\", \"INCOME\"],\n            reports: [\"m1_report://EMPLOYMENT_SUMMARY\", \"m1_report://INCOME_SUMMARY\"],\n            datasource_id: \"emp_1t24BlRpGDXmyM2a5CF66wMtgg0\",\n            requester_name: \"M1\",\n            third_party_requester: \"M1 Enterprise\",\n            refresh_policy: {\n              enabled: false\n            },\n            allow_create_invitation: false,\n            expires_in: 86400,\n            referrer: \"ENTERPRISE_WIDGET\",\n            branding: {\n                styles: {\n                    primary_dark: \"#1077B5\",\n                    primary_light: \"#41c8fa\",\n                    light_text: \"#ffffff\",\n                    dark_text: \"#141414\",\n                    light_background: \"#ffffff\",\n                    dark_background: \"#094670\",\n                    font_family_url: \"https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap\"\n                    font_family: \"Open Sans,sans-serif\",\n                    isDark: false\n                }\n            }\n        }\n                \n        <!-- Take reference to widget -->\n        const widget = document.querySelector(\"m1-link-create-datarequest\");\n        \n        <!-- Add configuration -->\n        widget.setAttribute(\"config\", JSON.stringify(config));\n\n        <!-- Add event listeners -->\n        widget.addEventListener('datarequestCreated',(event)=>{\n            <!-- Perform operation on datarequestCreated event. -->\n            console.log(event);\n        });\n        widget.addEventListener('invitationCreated',(event)=>{\n            <!-- Perform operation on invitationCreated event. -->\n            console.log(event);\n        });\n        widget.addEventListener('invitationSent',(event)=>{\n            <!-- Perform operation on invitationSent event. -->\n            console.log(event);\n        });\n        widget.addEventListener('cancelRequested',(event)=>{\n            <!-- Perform operation on cancelRequested event. -->\n            console.log(event);\n        });\n        widget.addEventListener('tokenExpired',(event)=>{\n            <!-- Perform operation on tokenExpired event. -->\n            console.log(event);\n        });\n        widget.addEventListener('widgetLoaded',(event)=>{\n            <!-- Perform operation on widgetLoaded event. -->\n            console.log(event);\n        });\n      </script>\n    </body>\n  </html>\n  ```\n  \n  </br> \n\n  #### Configuration\n  The configuration attribute of the Create Datarequest Widget is a JSON object, as described below.\n\n  <!-- <SchemaDefinition schemaRef=\"#/components/schemas/CREATE_DATAREQUEST_CONFIG\" />   -->\n\n  {% json-schema\n        schema={\n  \"title\": \"Create Datarequest Widget Configuration\",\n  \"type\": \"object\",\n  \"required\": [\"access_key\", \"host_name\", \"individual_id\"],\n  \"properties\": {\n    \"access_key\": {\n      \"type\": \"string\
[...]
